# == In this configuration you setup Alchemy´s element layouts.
#
# For further informations please see http://guides.alchemy-cms.com/create_elements.html

- name: article
  hint: true
  unique: false
  contents:
  - name: headline
    type: EssenceText
    default: :article_headline
    hint: true
  - name: picture
    type: EssencePicture
    hint: true
  - name: text
    type: EssenceRichtext
    default: :article_text
    hint: true

- name: bigbanner
  unique: false
  contents:
  - name: bigbanner_image
    type: EssencePicture
  - name: bigbanner_caption
    type: EssenceRichtext

-  name:  homepage_banner_options
   unique: true
   contents:
    - name: enable_slider
      default: true
      type: EssenceBoolean

- name: slider
  unique: true
  picture_gallery: true

- name: clients_slider
  unique: true
  picture_gallery: true


- name: propertylist
  unique: false
  taggable: true


- name: common_heading
  unique: false
  contents:
  - name: common_head
    type: EssenceRichtext

- name: mediumbanner
  unique: false
  contents:
  - name: mediumbanner_image
    type: EssencePicture
  - name: mediumbanner_caption
    type: EssenceRichtext

- name: two_column_text
  unique: false
  contents:
  - name: first_column
    type: EssenceRichtext
  - name: second_column
    type: EssenceRichtext

- name: chairperson
  unique: false
  contents:
  - name: its_image
    type: EssencePicture
  - name: its_description
    type: EssenceRichtext

- name: horizontal_header_bar
  unique: true
  contents:
  - name: logo_image
    type: EssencePicture
    settings:
      linkable: true

- name: horizontal_footer_bar
  unique: true
  contents:
  - name: copyright_text
    type: EssenceRichtext
    settings:
      linkable: true
  available_contents:
  - name: menu_links
    type: EssenceText
    settings:
      linkable: true
      deletable: true

- name: social_media_links
  unique: true
  available_contents:
  - name: social_links
    type: EssenceRichtext
    settings:
      linkable: true
      deletable: true


# Property Page elemets
- name: property_banner
  unique: true
  contents:
  - name: banner
    type: EssencePicture
  - name: title
    type: EssenceRichtext
    default: Replace with Property Title
  - name: address
    type: EssenceRichtext

- name: property_description
  unique: true
  contents:
  - name: title
    type: EssenceText
    default: Short Property Description
  - name: description
    type: EssenceRichtext

- name: property_features
  unique: true
  contents:
  - name: title
    type: EssenceText
    default: Media Gallery and Property Features
  - name: description
    type: EssenceRichtext

- name: property_media
  unique: true
  picture_gallery: true

- name: property_floor_plan
  unique: true
  picture_gallery: true

- name: property_map
  unique: true
  contents:
  - name: map
    type: EssenceHtml

- name: company_map
  unique: true
  contents:
  - name: map
    type: EssenceHtml

- name: property_street_view
  unique: true
  contents:
  - name: street_view
    type: EssenceHtml

- name: availability
  unique: true
  contents:
    - name: available
      type: EssenceBoolean
      default: true

- name: is_featured
  unique: true
  contents:
    - name: featured
      type: EssenceBoolean
      default: false

- name: portfolio_banner
  unique: true
  contents:
    - name: message
      type: EssenceRichtext

- name: testimonials
  unique: true
  available_contents:
  - name: testimonial
    type: EssenceRichtext
    settings:
      deletable: true

- name: amenities
  unique: true
  available_contents:
  - name: amenity
    type: EssenceText
    settings:
      deletable: true
  - name: highlighted_amenity
    type: EssenceText
    settings:
      deletable: true

- name: statistics
  unique: true
  available_contents:
  - name: listings
    type: EssenceRichtext
  - name: locations
    type: EssenceRichtext
  - name: square_feet
    type: EssenceRichtext
  - name: happy_clients
    type: EssenceRichtext
  - name: years_expertise
    type: EssenceRichtext

- name: contactform
  contents:
  - name: mail_from
    type: EssenceText
    validate:
    - presence
    - format: email
  - name: mail_to
    type: EssenceText
    validate:
    - presence
    - format: email
  - name: subject
    type: EssenceText
    validate:
    - presence
  - name: success_page
    type: EssenceSelect
    validate:
    - presence
